checkmate::DualDfpn::Shared::TableUseLock Struct Reference

## Public Member Functions

| TableUseLock (const TableUseLock &)=delete
TableUseLock & | operator= (const TableUseLock &)=delete
| TableUseLock (Shared *s)
| ~TableUseLock ()

## Public Attributes

Shared * | shared

## Detailed Description

Definition at line 207 of file dualDfpn.cc.

## Constructor & Destructor Documentation

## TableUseLock() [1/2]

checkmate::DualDfpn::Shared::TableUseLock::TableUseLock | ( | const TableUseLock & |  | ) |

delete

References TableUseLock().

Referenced by operator=(), and TableUseLock().

## TableUseLock() [2/2]

checkmate::DualDfpn::Shared::TableUseLock::TableUseLock | ( | Shared * | s | ) |

inline explicit

Definition at line 213 of file dualDfpn.cc.

References shared.

## ~TableUseLock()

checkmate::DualDfpn::Shared::TableUseLock::~TableUseLock | ( |  | ) |

inline

Definition at line 222 of file dualDfpn.cc.

References shared.

## Member Function Documentation

## operator=()

TableUseLock & checkmate::DualDfpn::Shared::TableUseLock::operator= | ( | const TableUseLock & |  | ) |

delete

References TableUseLock().

## Member Data Documentation

## shared

Shared* checkmate::DualDfpn::Shared::TableUseLock::shared

Definition at line 212 of file dualDfpn.cc.

Referenced by TableUseLock(), and ~TableUseLock().

The documentation for this struct was generated from the following file:

- dualDfpn.cc